from tortoise import Model, fields
from src.models import with_table_name
class StockHistory(Model):
    id = fields.IntField(pk=True, )
    stock_code = fields.IntField(description='股票代码', )
    stock_name = fields.CharField(max_length=10, null=True, )
    start_time_to_market = fields.CharField(max_length=10, null=True, description='股票上市时间', )
    end_bt_time = fields.CharField(max_length=10, null=True, description='最终回测时间', )
    symbol_data = fields.BinaryField(null=True, description='股票数据', )


    class Meta:
        table = with_table_name("stock_history")