from tortoise import Model, fields
from src.models import with_table_name
from src.models.strategy import Strategy


class TranObserverData(Model):
    id = fields.IntField(pk=True, )
    key = fields.CharField(max_length=255, )
    tran_observer_data = fields.BinaryField(null=True, description='存储大量数据', )

    class Meta:
        table = with_table_name("tran_observer_data")

