from tortoise import Model, fields
from src.models import with_table_name
from src.models.strategy import Strategy


class BackObservedData(Model):
    id = fields.IntField(pk=True, description='id表', )
    key = fields.CharField(max_length=255, null=True, description='key', )
    observed_data = fields.BinaryField(null=True, description='格式化后的json数据', )


    class Meta:
        table = with_table_name("back_observed_data")