from datetime import datetime

from pydantic import BaseModel, Field
from typing import Optional, List

from src.pydantics.transaction import TransactionsPydantic, TransactionPydantic


class PageInfo(BaseModel):
    page: Optional[int]
    pageSize: Optional[int]
    searchname: Optional[str]



# class PageResponse(BaseModel):
#     current_page: int
#     page_size: int
#     total_pages: int
#     total_items: int
#     items: List[dict]  # 使用 List[dict] 类型
#
# # 单个事务的 Pydantic 模型
# class TransactionPagePydantic(BaseModel):
#     id: int
#     key: str
#     cash: float
#     transaction_name: str
#     transaction_type: Optional[str]  # 可以为 None
#     user_id: Optional[int] = None
#     is_running: bool
#     is_deleted: bool
#     process_id: Optional[int] = None
#     bar: Optional[str] = None
#     created_at: datetime
#     updated_at: datetime
#     stopped_at: Optional[str] = None
#     deleted_at: Optional[str] = None
#     strategy_id: int
#
#     class Config:
#         orm_mode = True
#         from_attributes = True
#
# # 分页的 Pydantic 模型
# class PageData(BaseModel):
#     results: List[TransactionPydantic]
#     total: int
#     page: int
#     pages: int
#     size: int
#     # next: Optional[str] = None
#     # previous: Optional[str] = None
#     # total_pages: int
#
# # 包装响应的 Pydantic 模型
# class EntityResponse(BaseModel):
#     status_code: int
#     message: str
#     data: PageData





