from tortoise import Model, fields
from src.models import with_table_name

class StockBtHistory(Model):
    id = fields.IntField(pk=True, )
    end_bt_time = fields.CharField(max_length=8, null=True,description='回测最终时间', )
    bt_stock_code = fields.CharField(max_length=8, null=True,description='回测股票代码', )
    bt_stock_name = fields.CharField(max_length=10, null=True, description='回测股票名称', )
    bt_benchmark_code = fields.CharField(max_length=8, null=True,description='股票基准代码', )
    bt_stock_period = fields.CharField(max_length=10, null=True, description='回测类型', )
    bt_strategy_name = fields.CharField(max_length=10, null=True, description='回测策略名称', )
    bt_stock_data = fields.BinaryField(null=True, description='回测股票数据', )



    class Meta:
        table = with_table_name("stock_bt_history")