from tortoise import Model, fields
from src.models import with_table_name
from src.models.strategy import Strategy


class TranReturn(Model):
    id = fields.IntField(pk=True, )
    key = fields.CharField(max_length=255, null=True, )
    tran_return_data = fields.BinaryField(null=True, )

    class Meta:
        table = with_table_name('tran_return')

