from tortoise import Model, fields
from src.models import with_table_name


class UserCombinationHistory(Model):
    id = fields.IntField(pk=True, )
    last_time = fields.CharField(max_length=10, null=True, description='最后一次使用的时间', )
    stock_weights = fields.JSONField(null=True, description='权重存储', )
    strategy_name = fields.CharField(max_length=50, null=True, description='用户使用的策略', )
    strategy_parame = fields.JSONField(null=True, description='用户使用的策略参数', )
    user_id = fields.IntField(description='用户的id', )

    class Meta:
        table = with_table_name("user_combination_history")