import json
import logging


class JsonFormatter(logging.Formatter):
    """日志文件转为json格式"""

    def format(self, record):
        obj = {
            'timestamp': self.formatTime(record, self.datefmt),
            'name': record.name,
            'level': record.levelname,
            'message': record.getMessage()
        }
        return json.dumps(obj)
